Handles CRUD operations for the Campaign resource. This endpoint allows users to perform Create, Read, Update, and Delete operations on campaigns based on the HTTP method of the request. Users must have valid authentication and necessary permissions to access this endpoint.
GET - Fetch a particular campaign. POST - Create a new campaign. PATCH - Update an existing campaign (settings data). DELETE - Not Implemented.
NOTE 1: Except for GET, all other methods requires passing data in request body. GET requires it as query parameter. NOTE 2: In place of DELETE, use cancel campaign api instead.
Requires:
GET:
campaign_uid - UID of campaign data to fetch.
POST:
workspce_id - ID of workspace to create campaign in.
campaign_data - Campaign setttings for creation.
PATCH:
campaign_uid - UID of campaign to update.
update_data - Dictionary containing updated settings data. Same fields as settings data received in GET request.
255!!!IMPORTANT: Only fields that can be edited via campaign update api should be present here.
All other fields should be added to GetCampaignAPISerializer directly or via some other serializer.
creating - Creatingcreated - Createdscheduled - Scheduledrunning - Runningpaused - Pausedcomplete - Completecancelled - Cancelledfailed - Failedcreating, created, scheduled, running, paused, complete, cancelled, failed 0 <= x <= 2147483647